Page MenuHomePhabricator

The meta rights log doesn't provide a link to map_bmswiki
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: JEumerus, Aklapper. · View Herald TranscriptMar 24 2016, 3:36 PM
JEumerus renamed this task from The meta rights log doesn't privade a link to map_bmswiki to The meta rights log doesn't provide a link to map_bmswiki.Mar 24 2016, 4:09 PM

Maybe it's a fail of this gadget since the original log IIRC does provide just redlinks, and we use that script to actually have links to those wikis. I see that @Legoktm is being listed as the last mantainer of the gadget so maybe him could have a look as well. Thank you.

BTW it should happen with any wiki with a - in domain name which equals to a _ in db name.

Maybe it's a fail of this gadget since the original log IIRC does provide just redlinks, and we use that script to actually have links to those wikis. I see that @Legoktm is being listed as the last mantainer of the gadget so maybe him could have a look as well. Thank you.

MediaWiki adds these links now (except @global) so it's not the gadget.

At a glance of the bug (without digging into the code), maybe this is because those underscores become spaces due to title normalisation, and the space then gets encoded as %20 ?
We should use the DB key to generate these, and then run the _ -> - conversion, assuming we can make the assumption that it's the correct conversion in MW core

Looks like the conversion is done for us:

hphpd> =WikiMap::foreignUserLink( "map_bmswiki", "Arifys", "Arifys@map_bmswiki" );
=WikiMap::foreignUserLink( "map_bmswiki", "Arifys", "Arifys@map_bmswiki" );
"<a class=\"external\" href=\"//map-bms.wikipedia.org/wiki/User:Arifys\">Arifys@map_bmswiki</a>"

Change 279574 had a related patch set uploaded (by Alex Monk):
RightsLogFormatter: Use DB key to generate foreign user link

https://gerrit.wikimedia.org/r/279574

Krenair claimed this task.Mar 25 2016, 4:20 AM

Change 279574 merged by jenkins-bot:
RightsLogFormatter: Use DB key to generate foreign user link

https://gerrit.wikimedia.org/r/279574

matmarex closed this task as Resolved.Apr 11 2016, 4:43 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

This bug has been fixed and the fix will be deployed to Wikimedia wikis this week, with MediaWiki version 1.27.0-wmf.21, per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap.